edu.northwestern.at.morphadorner.tools

## Class ExtendedAdornedWord

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.adornedword.BaseAdornedWord
  - - edu.northwestern.at.morphadorner.tools.ExtendedAdornedWord

- All Implemented Interfaces:
    AdornedWord, HasID, XCloneable, java.io.Externalizable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class ExtendedAdornedWord
      extends BaseAdornedWord
      implements AdornedWord, HasID, java.io.Externalizable

  Information about a single XML word element.

  An ExtendedAdornedWord object extends the BaseAdornedWord object with the following additional information about a single word spelling externalized as an XML "" or "" element.

  1. The permanent word ID.
  2. The end of sentence flag (1 if word ends a sentence, 0 otherwise)
  3. The partial original token, if this is part of a word.
  4. The part flag. "N" for a word which is not split; "I" for the first part of a split word; "M" for the middle parts of a split word; and "F" for the final part of a split word.
  5. The word ordinal within the text (starts at 1)
  6. FrontMiddleBack.FRONT, FrontMiddleBack.MIDDLE or FrontMiddleBack.BACK indicating if the word appears in front matter, middle matter (e.g., main text body), or back matter, respectively.
  7. MainSide.MAIN or MainSide.SIDE indicating if the word appears in the main text or side text, respectively.
  8. Nearest ancestor tag which is not a soft tag.
  9. Parent tag.
  10. A flag which indicates if the word appears in spoken text. True if the word is spoken, false otherwise.
  11. A link to the previous full word, in reading sequence.
  12. A link to the next full word, in reading sequence.
  13. A link to the previous word part, in reading sequence, for a split word.
  14. A link to the next word part, in reading sequence, for a split word.
  15. An XML path to the word.
  16. The sentence number to which this word belongs. Sentences start at 1.
  17. The number of the word in the sentence. Starts at 1.
  18. Boolean flag which indicates if word corresponds to gap.
  19. Boolean flag which indicates if word is descendant of a jump tag.
  20. Page number (starting at 0) on which the word appears. Page numbers come from from counting elements. Page numbers ignore the "n=" attributes, if any, present on the element.
  21. Word label. Any extra text used to label a word.
  22. Rend. Set of tokens describing how to render word.
  23. Type. Token describing token type. Usually used to mark word as "unclear".
  24. Div type. The type= attribute value of the nearest ancestral div element.
  25. Blank precedes flag. If a blank ( ) element precedes this word.

  The following fields are inherited from the BaseAdornedWord object.

  1. The complete original token.
  2. The corrected original spelling.
  3. The standard spelling.
  4. The lemma.
  5. The part of speech.
  6. The token type.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ExtendedAdornedWord.FrontMiddleBack` Front, middle, or back of text.
    `static class` | `ExtendedAdornedWord.MainSide` Main or side text (paratext).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `blankPrecedes` Blank precedes flag.
    `protected java.lang.String` | `divType` Div type.
    `protected boolean` | `eos` End of sentence flag.
    `protected ExtendedAdornedWord.FrontMiddleBack` | `frontMiddleBack` Front/middle/back text marker.
    `protected byte[]` | `id` Word ID.
    `protected boolean` | `inJumpTag` Jump tag flag.
    `protected boolean` | `isGap` True if word corresponds to a , false otherwise.
    `protected boolean` | `isSpoken` Spoken word flag.
    `protected boolean` | `isUnclear` Unclear flag.
    `protected boolean` | `isVerse` Verse flag.
    `protected java.lang.String` | `label` Word label.
    `protected ExtendedAdornedWord.MainSide` | `mainSide` Main/side text marker.
    `protected ExtendedAdornedWord` | `nextWord` Next word.
    `protected ExtendedAdornedWord` | `nextWordPart` Next word part for this word.
    `protected int` | `ord` Word ordinal.
    `protected int` | `pageNumber` Page number on which word appears.
    `protected java.lang.String` | `part` Word part flag.
    `protected byte[]` | `path` XML word path.
    `protected ExtendedAdornedWord` | `previousWord` Previous word.
    `protected ExtendedAdornedWord` | `previousWordPart` Previous word part for this word.
    `protected java.lang.String` | `rend` Rend.
    `protected int` | `sentenceNumber` Sentence number.
    `protected static long` | `serialVersionUID` Serial version UID.
    `protected java.lang.String` | `type` Type.
    `protected int` | `wordIndex` Word index in list of words.
    `protected int` | `wordNumber` Word number within sentence.
    `protected java.lang.String` | `wordText` Original, possibly partial, word text.

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.adornedword.BaseAdornedWord

      `lemmata, partsOfSpeech, spelling, standardSpelling, token`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedAdornedWord()` Create empty ExtendedAdornedWord object.
    `ExtendedAdornedWord(AdornedWord adornedWord, java.lang.String id, java.lang.String label, java.lang.String part, int ord, int pageNumber, boolean eos, int wordNumber, int sentenceNumber, ExtendedAdornedWord.FrontMiddleBack frontMiddleBack, ExtendedAdornedWord.MainSide mainSide, java.lang.String tagPath, boolean isSpoken, boolean isVerse, boolean isUnclear, java.lang.String rend, java.lang.String type, ExtendedAdornedWord previousWord, ExtendedAdornedWord previousWordPart, boolean blankPrecedes)` Create ExtendedAdornedWord object.
    `ExtendedAdornedWord(java.lang.String wordText, org.xml.sax.Attributes atts, ExtendedAdornedWord.FrontMiddleBack frontMiddleBack, ExtendedAdornedWord.MainSide mainSide, java.lang.String tagPath, int pageNumber, boolean isSpoken, boolean isVerse, boolean inJumpTag, boolean isUnclear, java.lang.String divType, ExtendedAdornedWord previousWord, ExtendedAdornedWord previousWordPart, boolean blankPrecedes)` Create ExtendedAdornedWord object.
    `ExtendedAdornedWord(java.lang.String wordText, java.util.Map<java.lang.String,java.lang.String> atts, ExtendedAdornedWord.FrontMiddleBack frontMiddleBack, ExtendedAdornedWord.MainSide mainSide, java.lang.String tagPath, int pageNumber, boolean isSpoken, boolean isVerse, boolean inJumpTag, boolean isUnclear, java.lang.String divType, ExtendedAdornedWord previousWord, ExtendedAdornedWord previousWordPart, boolean blankPrecedes)` Create ExtendedAdornedWord object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendRend(java.lang.String rend)` Append to rend.
    `void` | `appendWordText(char[] ch, int start, int length)` Append characters to word text.
    `void` | `appendWordText(java.lang.String s)` Append string to word text.
    `boolean` | `getBlankPrecedes()` Get blank precedes flag.
    `java.lang.String` | `getDivType()` Get div type.
    `boolean` | `getEOS()` Get end of sentence flag.
    `ExtendedAdornedWord.FrontMiddleBack` | `getFrontMiddleBack()` Get front/middle/back.
    `boolean` | `getGap()` Get gap flag.
    `java.lang.String` | `getID()` Get word ID.
    `boolean` | `getInJumpTag()` Get in jump tag flag.
    `boolean` | `getIsUnclear()` Get unclear flag.
    `java.lang.String` | `getLabel()` Get word label.
    `ExtendedAdornedWord.MainSide` | `getMainSide()` Get main or side.
    `ExtendedAdornedWord` | `getNextWord()` Get next word.
    `ExtendedAdornedWord` | `getNextWordPart()` Get next word part.
    `int` | `getOrd()` Get word ordinal.
    `int` | `getPageNumber()` Get page number in which word appears.
    `java.lang.String` | `getPart()` Get part flag.
    `java.lang.String` | `getPath()` Get path.
    `ExtendedAdornedWord` | `getPreviousWord()` Get previous word.
    `ExtendedAdornedWord` | `getPreviousWordPart()` Get previous word part.
    `java.lang.String` | `getRend()` Get rend.
    `int` | `getSentenceNumber()` Get sentence number for word.
    `boolean` | `getSpoken()` Get spoken flag.
    `java.lang.String` | `getType()` Get type.
    `boolean` | `getVerse()` Get verse flag.
    `int` | `getWordIndex()` Get word index.
    `int` | `getWordNumber()` Get word number in sentence.
    `java.lang.String` | `getWordText()` Get word text.
    `boolean` | `isFirstPart()` Check if word is first (or only) part of a split word.
    `boolean` | `isLastPart()` Check if word is last (or only) part of a split word.
    `boolean` | `isMiddlePart()` Check if word is middle (or only) part of a split word.
    `boolean` | `isSplitWord()` Check if word is a split word.
    `void` | `readExternal(java.io.ObjectInput in)` Reads the work set from an object input stream (deserializes the object).
    `void` | `setBlankPrecedes(boolean blankPrecedes)` Set blank precedes flag.
    `void` | `setDivType(java.lang.String divType)` Set div type.
    `void` | `setEOS(boolean eos)` Set end of sentence flag.
    `void` | `setGap(boolean isGap)` Set gap flag.
    `void` | `setID(java.lang.String id)` Set word ID.
    `void` | `setInJumpTag(boolean inJumpTag)` Set in jump tag flag.
    `void` | `setIsUnclear(boolean isUnclear)` Set unclear flag.
    `void` | `setLabel(java.lang.String label)` Set word label.
    `void` | `setNextWord(ExtendedAdornedWord nextWord)` Set next word.
    `void` | `setNextWordPart(ExtendedAdornedWord nextWordPart)` Set next word part.
    `void` | `setOrd(int ord)` Set word ordinal.
    `void` | `setPageNumber(int pageNumber)` Set page number in which word appears.
    `void` | `setPreviousWord(ExtendedAdornedWord previousWord)` Set previous word.
    `void` | `setPreviousWordPart(ExtendedAdornedWord previousWordPart)` Set previous word part.
    `void` | `setRend(java.lang.String rend)` Set rend.
    `void` | `setSentenceNumber(int sentenceNumber)` Set sentence number for word.
    `void` | `setSpoken(boolean isSpoken)` Set spoken flag.
    `void` | `setType(java.lang.String type)` Set type.
    `void` | `setVerse(boolean isVerse)` Set verse flag.
    `void` | `setWordIndex(int wordIndex)` Set word index.
    `void` | `setWordNumber(int wordNumber)` Set word number in sentence.
    `void` | `setWordText(char[] ch, int start, int length)` Set word text.
    `void` | `setWordText(java.lang.String wordText)` Set word text.
    `java.lang.String` | `toString()` Return spelling for toString.
    `void` | `writeExternal(java.io.ObjectOutput out)` Writes the work set to an object output stream (serializes the object).

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.adornedword.BaseAdornedWord

      `clone, compareTo, equals, getLemmata, getPartsOfSpeech, getSpelling, getStandardSpelling, getToken, hashCode, setLemmata, setPartsOfSpeech, setSpelling, setStandardSpelling, setToken`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.adornedword.AdornedWord

      `getLemmata, getPartsOfSpeech, getSpelling, getStandardSpelling, getToken, setLemmata, setPartsOfSpeech, setSpelling, setStandardSpelling, setToken`

- - ### Field Detail

    - #### id

          protected byte[] id

      Word ID.

    - #### wordText

          protected java.lang.String wordText

      Original, possibly partial, word text.

    - #### part

          protected java.lang.String part

      Word part flag.

      N for an unsplit word. I for the the first part of a split word. M for the middle part(s) of a split word. F for the final part of a split word.

    - #### eos

          protected boolean eos

      End of sentence flag.

    - #### ord

          protected int ord

      Word ordinal.

    - #### mainSide

          protected ExtendedAdornedWord.MainSide mainSide

      Main/side text marker.

    - #### isSpoken

          protected boolean isSpoken

      Spoken word flag. True if word is spoken.

    - #### isVerse

          protected boolean isVerse

      Verse flag. True if word appears in verse as opposed to prose.

    - #### inJumpTag

          protected boolean inJumpTag

      Jump tag flag. True if word appears as descendant of jump tag.

    - #### frontMiddleBack

          protected ExtendedAdornedWord.FrontMiddleBack frontMiddleBack

      Front/middle/back text marker.

    - #### previousWord

          protected ExtendedAdornedWord previousWord

      Previous word.

    - #### nextWord

          protected ExtendedAdornedWord nextWord

      Next word.

    - #### previousWordPart

          protected ExtendedAdornedWord previousWordPart

      Previous word part for this word.

    - #### nextWordPart

          protected ExtendedAdornedWord nextWordPart

      Next word part for this word.

    - #### path

          protected byte[] path

      XML word path.

    - #### sentenceNumber

          protected int sentenceNumber

      Sentence number.

    - #### wordNumber

          protected int wordNumber

      Word number within sentence.

    - #### isGap

          protected boolean isGap

      True if word corresponds to a , false otherwise.

    - #### wordIndex

          protected int wordIndex

      Word index in list of words.

    - #### pageNumber

          protected int pageNumber

      Page number on which word appears.

    - #### label

          protected java.lang.String label

      Word label.

    - #### isUnclear

          protected boolean isUnclear

      Unclear flag. True if word is descendant of unclear tag.

    - #### rend

          protected java.lang.String rend

      Rend. How to render word.

    - #### type

          protected java.lang.String type

      Type. Usually used to mark word as unclear.

    - #### divType

          protected java.lang.String divType

      Div type. Nearest ancestral div's type= attribute value.

    - #### blankPrecedes

          protected boolean blankPrecedes

      Blank precedes flag. True if blank precedes this word.

    - #### serialVersionUID

          protected static final long serialVersionUID

      Serial version UID.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExtendedAdornedWord

          public ExtendedAdornedWord()

      Create empty ExtendedAdornedWord object.

    - #### ExtendedAdornedWord

          public ExtendedAdornedWord(java.lang.String wordText,
                             org.xml.sax.Attributes atts,
                             ExtendedAdornedWord.FrontMiddleBack frontMiddleBack,
                             ExtendedAdornedWord.MainSide mainSide,
                             java.lang.String tagPath,
                             int pageNumber,
                             boolean isSpoken,
                             boolean isVerse,
                             boolean inJumpTag,
                             boolean isUnclear,
                             java.lang.String divType,
                             ExtendedAdornedWord previousWord,
                             ExtendedAdornedWord previousWordPart,
                             boolean blankPrecedes)

      Create ExtendedAdornedWord object.
      Parameters:
        `wordText` - tag text.
        `atts` - XML attributes for a single "" element.
        `frontMiddleBack` - Front/middle/back classification.
        `mainSide` - Main/side classification.
        `tagPath` - XML path to this tag.
        `isSpoken` - Is spoken word flag.
        `isVerse` - Is verse flag.
        `inJumpTag` - In jump tag flag.
        `isUnclear` - Is unclear word.
        `divType` - Ancestral div type.
        `previousWord` - Previous adorned word.
        `previousWordPart` - Previous part for this word.
        `blankPrecedes` - True if blank element precedes.

    - #### ExtendedAdornedWord

          public ExtendedAdornedWord(java.lang.String wordText,
                             java.util.Map<java.lang.String,java.lang.String> atts,
                             ExtendedAdornedWord.FrontMiddleBack frontMiddleBack,
                             ExtendedAdornedWord.MainSide mainSide,
                             java.lang.String tagPath,
                             int pageNumber,
                             boolean isSpoken,
                             boolean isVerse,
                             boolean inJumpTag,
                             boolean isUnclear,
                             java.lang.String divType,
                             ExtendedAdornedWord previousWord,
                             ExtendedAdornedWord previousWordPart,
                             boolean blankPrecedes)

      Create ExtendedAdornedWord object.
      Parameters:
        `wordText` - tag text.
        `atts` - XML attributes for a single word element.
        `frontMiddleBack` - Front/middle/back classification.
        `mainSide` - Main/side classification.
        `tagPath` - XML path to this tag.
        `isSpoken` - Is spoken word flag.
        `isVerse` - Is verse flag.
        `inJumpTag` - In jump tag flag.
        `previousWord` - Previous adorned word.
        `previousWordPart` - Previous part for this word.
        `blankPrecedes` - True if blank element precedes.

    - #### ExtendedAdornedWord

          public ExtendedAdornedWord(AdornedWord adornedWord,
                             java.lang.String id,
                             java.lang.String label,
                             java.lang.String part,
                             int ord,
                             int pageNumber,
                             boolean eos,
                             int wordNumber,
                             int sentenceNumber,
                             ExtendedAdornedWord.FrontMiddleBack frontMiddleBack,
                             ExtendedAdornedWord.MainSide mainSide,
                             java.lang.String tagPath,
                             boolean isSpoken,
                             boolean isVerse,
                             boolean isUnclear,
                             java.lang.String rend,
                             java.lang.String type,
                             ExtendedAdornedWord previousWord,
                             ExtendedAdornedWord previousWordPart,
                             boolean blankPrecedes)

      Create ExtendedAdornedWord object.
      Parameters:
        `adornedWord` - Populated adorned word.
        `id` - Word ID.
        `label` - Word label.
        `part` - String word part flag.
        `ord` - Word ordinal.
        `pageNumber` - Page number.
        `eos` - EOS flag.
        `wordNumber` - Word number in sentence.
        `sentenceNumber` - Sentence number in sentence.
        `frontMiddleBack` - Front/middle/back classification.
        `mainSide` - Main/side classification.
        `tagPath` - XML path to this tag.
        `isSpoken` - Is spoken word flag.
        `isVerse` - Is verse flag.
        `isUnclear` - Is unclear flag.
        `rend` - How to render word.
        `type` - Type of word.
        `previousWord` - Previous adorned word.
        `previousWordPart` - Previous part for this word.
        `blankPrecedes` - True if blank element precedes.

  - ### Method Detail

    - #### getID

          public java.lang.String getID()

      Get word ID.
      Specified by:
        `getID` in interface `HasID`
      Returns:
        The word ID.

    - #### setID

          public void setID(java.lang.String id)

      Set word ID.
      Parameters:
        `id` - The word ID.

    - #### getPart

          public java.lang.String getPart()

      Get part flag.
      Returns:
        The part flag.

    - #### getPath

          public java.lang.String getPath()

      Get path.
      Returns:
        The path.

    - #### isFirstPart

          public boolean isFirstPart()

      Check if word is first (or only) part of a split word.
      Returns:
        True if word is first part of a split word or only part of a non-split word.

    - #### isMiddlePart

          public boolean isMiddlePart()

      Check if word is middle (or only) part of a split word.
      Returns:
        True if word is middle part of a split word or only part of a non-split word.

    - #### isLastPart

          public boolean isLastPart()

      Check if word is last (or only) part of a split word.
      Returns:
        True if word is last part of a split word or only part of a non-split word.

    - #### isSplitWord

          public boolean isSplitWord()

      Check if word is a split word.
      Returns:
        True if word is a split word.

    - #### getOrd

          public int getOrd()

      Get word ordinal.
      Returns:
        The word ordinal.

    - #### setOrd

          public void setOrd(int ord)

      Set word ordinal.
      Parameters:
        `ord` - The word ordinal.

    - #### getSentenceNumber

          public int getSentenceNumber()

      Get sentence number for word.
      Returns:
        The sentence number in which this word appears.

    - #### setSentenceNumber

          public void setSentenceNumber(int sentenceNumber)

      Set sentence number for word.
      Parameters:
        `sentenceNumber` - The sentence number in which this word appears.

    - #### getWordNumber

          public int getWordNumber()

      Get word number in sentence.
      Returns:
        The word number in the sentence.

    - #### setWordNumber

          public void setWordNumber(int wordNumber)

      Set word number in sentence.
      Parameters:
        `wordNumber` - The word number in the sentence.

    - #### getPageNumber

          public int getPageNumber()

      Get page number in which word appears.
      Returns:
        The page number.

    - #### setPageNumber

          public void setPageNumber(int pageNumber)

      Set page number in which word appears.
      Parameters:
        `pageNumber` - The page number.

    - #### getLabel

          public java.lang.String getLabel()

      Get word label.
      Returns:
        The word label.

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set word label.
      Parameters:
        `label` - The word label.

    - #### getIsUnclear

          public boolean getIsUnclear()

      Get unclear flag.
      Returns:
        True if word descends from unclear tag.

    - #### setIsUnclear

          public void setIsUnclear(boolean isUnclear)

      Set unclear flag.
      Parameters:
        `isUnclear` - True if word descends from unclear tag.

    - #### getRend

          public java.lang.String getRend()

      Get rend.
      Returns:
        rend string.

    - #### setRend

          public void setRend(java.lang.String rend)

      Set rend.
      Parameters:
        `rend` - rend string.

    - #### appendRend

          public void appendRend(java.lang.String rend)

      Append to rend.
      Parameters:
        `rend` - String to append to rend.

    - #### getType

          public java.lang.String getType()

      Get type.
      Returns:
        type string.

    - #### setType

          public void setType(java.lang.String type)

      Set type.
      Parameters:
        `type` - type string.

    - #### getEOS

          public boolean getEOS()

      Get end of sentence flag.
      Returns:
        The end of sentence flag.

    - #### setEOS

          public void setEOS(boolean eos)

      Set end of sentence flag.
      Parameters:
        `eos` - The end of sentence flag.

    - #### getMainSide

          public ExtendedAdornedWord.MainSide getMainSide()

      Get main or side.
      Returns:
        The main or side string.

    - #### getFrontMiddleBack

          public ExtendedAdornedWord.FrontMiddleBack getFrontMiddleBack()

      Get front/middle/back.
      Returns:
        The main or side string.

    - #### getSpoken

          public boolean getSpoken()

      Get spoken flag.
      Returns:
        True if word is spoken.

    - #### setSpoken

          public void setSpoken(boolean isSpoken)

      Set spoken flag.
      Parameters:
        `isSpoken` - True if word is spoken.

    - #### getVerse

          public boolean getVerse()

      Get verse flag.
      Returns:
        True if word is in verse.

    - #### setVerse

          public void setVerse(boolean isVerse)

      Set verse flag.
      Parameters:
        `isVerse` - True if word is in verse.

    - #### getInJumpTag

          public boolean getInJumpTag()

      Get in jump tag flag.
      Returns:
        True if word is in jump tag.

    - #### setInJumpTag

          public void setInJumpTag(boolean inJumpTag)

      Set in jump tag flag.
      Parameters:
        `inJumpTag` - True if word is in jump tag.

    - #### getGap

          public boolean getGap()

      Get gap flag.
      Returns:
        True if word represents gap.

    - #### setGap

          public void setGap(boolean isGap)

      Set gap flag.
      Parameters:
        `isGap` - True if word represents gap.

    - #### getWordText

          public java.lang.String getWordText()

      Get word text.
      Returns:
        Word text.

    - #### setWordText

          public void setWordText(java.lang.String wordText)

      Set word text.
      Parameters:
        `wordText` - The word text.

    - #### setWordText

          public void setWordText(char[] ch,
                         int start,
                         int length)

      Set word text.
      Parameters:
        `ch` - Array of characters.
        `start` - The starting position in the array.
        `length` - The number of characters.

    - #### getNextWord

          public ExtendedAdornedWord getNextWord()

      Get next word.
      Returns:
        The next word.

    - #### setNextWord

          public void setNextWord(ExtendedAdornedWord nextWord)

      Set next word.
      Parameters:
        `nextWord` - The next word.

    - #### getPreviousWord

          public ExtendedAdornedWord getPreviousWord()

      Get previous word.
      Returns:
        The previous word.

    - #### setPreviousWord

          public void setPreviousWord(ExtendedAdornedWord previousWord)

      Set previous word.
      Parameters:
        `previousWord` - The previous word.

    - #### getNextWordPart

          public ExtendedAdornedWord getNextWordPart()

      Get next word part.
      Returns:
        The next word part. Null if this is the last part or a non-split word.

    - #### setNextWordPart

          public void setNextWordPart(ExtendedAdornedWord nextWordPart)

      Set next word part.
      Parameters:
        `nextWordPart` - The next word part.

    - #### getPreviousWordPart

          public ExtendedAdornedWord getPreviousWordPart()

      Get previous word part.
      Returns:
        The previous word part for a split word. Null if this is the first part or a non-split word.

    - #### setPreviousWordPart

          public void setPreviousWordPart(ExtendedAdornedWord previousWordPart)

      Set previous word part.
      Parameters:
        `previousWordPart` - The previous word part.

    - #### getWordIndex

          public int getWordIndex()

      Get word index.
      Returns:
        The word index.

    - #### setWordIndex

          public void setWordIndex(int wordIndex)

      Set word index.
      Parameters:
        `wordIndex` - The word index.

    - #### getDivType

          public java.lang.String getDivType()

      Get div type.
      Returns:
        Type= attribute from nearest ancestral div element.

    - #### setDivType

          public void setDivType(java.lang.String divType)

      Set div type.
      Parameters:
        `divType` - Type= attribute from nearest ancestral div element.

    - #### getBlankPrecedes

          public boolean getBlankPrecedes()

      Get blank precedes flag.
      Returns:
        True if blank element precedes this word.

    - #### setBlankPrecedes

          public void setBlankPrecedes(boolean blankPrecedes)

      Set blank precedes flag.
      Parameters:
        `blankPrecedes` - True if blank element precedes this word.

    - #### appendWordText

          public void appendWordText(char[] ch,
                            int start,
                            int length)

      Append characters to word text.
      Parameters:
        `ch` - Array of characters.
        `start` - The starting position in the array.
        `length` - The number of characters.

    - #### appendWordText

          public void appendWordText(java.lang.String s)

      Append string to word text.
      Parameters:
        `s` - String to append to word text.

    - #### toString

          public java.lang.String toString()

      Return spelling for toString.
      Overrides:
        `toString` in class `BaseAdornedWord`
      Returns:
        The spelling.

    - #### writeExternal

          public void writeExternal(java.io.ObjectOutput out)
                             throws java.io.IOException

      Writes the work set to an object output stream (serializes the object).
      Specified by:
        `writeExternal` in interface `java.io.Externalizable`
      Parameters:
        `out` - Object output stream.
      Throws:
        `java.io.IOException`

    - #### readExternal

          public void readExternal(java.io.ObjectInput in)
                            throws java.io.IOException,
                                   java.lang.ClassNotFoundException

      Reads the work set from an object input stream (deserializes the object).
      Specified by:
        `readExternal` in interface `java.io.Externalizable`
      Parameters:
        `in` - Object input stream.
      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`